"use strict";

DATA_SDS_SCRIPTED_EVENTS["Meli_goes_right_test"] =
		0 : {
			customPre : function(cacheVars){
				cacheVars.wait=true;
				cacheVars.dlgMgr.open("narrator_testing",function(index,retval){
					if (index>=1) cacheVars.wait=false; // yay js scoping
				});
			},
			controls : {},
			customPost : noop
		},
		1 : {
			customPre : function(cacheVars){
				var meli = cacheVars.objMgr.getNamedObject("Meli");
				if (meli){
					cacheVars.controls = meli.controls;
					meli.controls = new Controls();
				}
			},
			controls : {
				"Meli" : {
					right : true
				}
			},
			customPost : noop
		},
		120 : {
			customPre : noop,
			controls : {
				"Meli" : {
					right : false
				}
			},
			customPost : function(cacheVars){
				var meli = cacheVars.objMgr.getNamedObject("Meli");
				if (meli && cacheVars.controls){
					meli.controls = cacheVars.controls;
					delete cacheVars.controls;
				}
			}
		}
	};
	